Namespace
library
Image / Tag
openjdk:19-ea-26
Content Digest
sha256:04891090a675009e26aee9cb29c36b98e01e4b0413a99a1df7e54dcd744c0c16
Details
Created

2022-06-14 18:43:23 UTC

Size

237 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-19

JAVA_VERSION

19-ea+26

LANG

C.UTF-8

PATH

/usr/java/openjdk-19/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:5f160c0f6cac587a73883b48a8857f5cce0930112792cef25c62510e256e93dc - 15.76% (37.4 MB)

[#001] sha256:fb499df0377a2bd9163e9a611ce46b5379196826787392defef98dbf215a8aa4 - 5.43% (12.9 MB)

[#002] sha256:b91972def24833dba007600a544eb7718c89311e10dfd6a1a1481bc5f5838abf - 78.81% (187 MB)


History
2022-06-14 18:23:26 UTC

/bin/sh -c #(nop) ADD file:837f6c6e7e20067b92edb72e78a8399e6cbbd72dab23db7b5b5a301c58d2a0de in /

2022-06-14 18:23:26 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2022-06-14 18:42:55 UTC

/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all

2022-06-14 18:42:55 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-19

2022-06-14 18:42:55 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-19/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2022-06-14 18:42:56 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2022-06-14 18:42:56 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=19-ea+26

2022-06-14 18:43:22 UTC

/bin/sh -c set -eux; arch="$(objdump="$(command -v objdump)" && objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in 'i386:x86-64') downloadUrl='https://download.java.net/java/early_access/jdk19/26/GPL/openjdk-19-ea+26_linux-x64_bin.tar.gz'; downloadSha256='130143ba9c969760aa4aecba9cd2296887facde306841d69404dd1d1235b3d90'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk19/26/GPL/openjdk-19-ea+26_linux-aarch64_bin.tar.gz'; downloadSha256='cedaf6ebfab9a1a716acf5a65e0bfe298e0c965c70100bc91cc414a9fcf0b4b7'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2022-06-14 18:43:23 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Details
Created

2022-06-15 19:31:33 UTC

Size

2.3 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-19

JAVA_SHA256

3cf2f966ea53708ed1141e992d6878520fc981896396e1f625301a90741f0ce9

JAVA_URL

https://download.java.net/java/early_access/jdk19/26/GPL/openjdk-19-ea+26_windows-x64_bin.zip

JAVA_VERSION

19-ea+26


Layers

[#000] sha256:97f65a0ec59e643faf84024aa713a9be059322380315fda829756bbbd96d6258 - 58.14% (1.34 GB)

[#001] sha256:6c71967ff41928927e4c407171e4ffbac3c9ab4221eb64f5ca5a34ff4c230567 - 34.06% (803 MB)

[#002] sha256:dec0338feaf01f35eb916b7fd9ecc08b719354163254885d5215e513c1a3eb2e - 0.0% (1.38 KB)

[#003] sha256:c8b6e059d50cccbff94037bf242f1b94acf1cc939d701dff58c07f4fcfdc9767 - 0.03% (617 KB)

[#004] sha256:4256811745995e57de7802acfc5bdccb9f2755ed41ecb3647d39dc12e6561352 - 0.0% (1.39 KB)

[#005] sha256:83c911f706211694bdb53a7b8921b9b41f12cd4a52237dfdc7d74f3cc8585a5b - 0.02% (549 KB)

[#006] sha256:331dcd6ea3a622f2d627625f7fa137ef5363fe450b6deec801b97f83c753128e - 0.0% (1.38 KB)

[#007] sha256:82eaba6c23b5c4913092c5e9f4b012b9c08fd9743943040492929b99965600bb - 0.0% (1.4 KB)

[#008] sha256:dcdfc7d6d0a75d5cbc540837404cedcaa684014c2e92bd8c8081e12dd305d78e - 0.0% (1.4 KB)

[#009] sha256:cac7ad22df2545d6fb29558b6655dd56b40b957d41ea697c7aa35e6d3a86f80a - 7.75% (183 MB)

[#010] sha256:287fd4bcef383702902a69bdbc0fb041f14824a11fca68e68977c30d05d21d4f - 0.0% (1.39 KB)


History
2022-04-22 01:12:09 UTC

Apply image 10.0.20348.643

2022-06-09 04:32:50 UTC

Install update 10.0.20348.768

2022-06-15 12:13:32 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2022-06-15 19:30:14 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2022-06-15 19:30:15 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-19

2022-06-15 19:30:37 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2022-06-15 19:30:38 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=19-ea+26

2022-06-15 19:30:39 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk19/26/GPL/openjdk-19-ea+26_windows-x64_bin.zip

2022-06-15 19:30:40 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=3cf2f966ea53708ed1141e992d6878520fc981896396e1f625301a90741f0ce9

2022-06-15 19:31:31 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2022-06-15 19:31:33 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2022-06-15 19:36:09 UTC

Size

2.66 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-19

JAVA_SHA256

3cf2f966ea53708ed1141e992d6878520fc981896396e1f625301a90741f0ce9

JAVA_URL

https://download.java.net/java/early_access/jdk19/26/GPL/openjdk-19-ea+26_windows-x64_bin.zip

JAVA_VERSION

19-ea+26


Layers

[#000] sha256:b111c3320c949bea81612bf4554f1b6592c2f504920b5bf57ba340a1d4d52c93 - 65.74% (1.75 GB)

[#001] sha256:fc6ae6c5aa2b4920ae68469c5e7e7c3a3c85e5eaafc24660e7b3adb21d6fce77 - 27.53% (750 MB)

[#002] sha256:4ed911f97ae3a2a6279c70738e5692b14369ac11871a2bbd2f6ad301419527ad - 0.0% (1.28 KB)

[#003] sha256:75415e053743ebceabbf30d0a8101d97dd712c88fc012c45f1df824cbac48e21 - 0.01% (346 KB)

[#004] sha256:7116bbe0a121cf02a096d9baf075b263a14bef9d19f19247ba9301ce1510d4d3 - 0.0% (1.38 KB)

[#005] sha256:859adb7dcc86ae2af5eb7ae3f7bfb7a657d7100c15621b21c36436c2be52ac0c - 0.01% (305 KB)

[#006] sha256:3a3eb5229c28dff0bf0497bb8ce4639832b79d7cf74e454d9a9041d41eb7cddc - 0.0% (1.38 KB)

[#007] sha256:64cb646b2d0fd73aadae070eb3755e37284abad188ed0e40f15fcaec1e398221 - 0.0% (1.39 KB)

[#008] sha256:a4b75d3dbd50275796e330e3ee5f56b3a47a87e65064ea454d823563afe384e5 - 0.0% (1.4 KB)

[#009] sha256:aace59e3bec7bc86ab1965ad4ac93ffabc9e250c7f4eda856edb1b538df5f8b7 - 6.7% (183 MB)

[#010] sha256:592daee40602eb7e00e5eb11c61fb30168d637eb887bf4549d4a6eaeb5c144b8 - 0.0% (1.4 KB)


History
2022-04-22 01:27:13 UTC

Apply image 10.0.17763.2803

2022-06-09 19:41:03 UTC

Install update 10.0.17763.3046

2022-06-15 12:18:31 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2022-06-15 19:33:08 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2022-06-15 19:33:09 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-19

2022-06-15 19:34:17 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2022-06-15 19:34:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=19-ea+26

2022-06-15 19:34:19 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk19/26/GPL/openjdk-19-ea+26_windows-x64_bin.zip

2022-06-15 19:34:21 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=3cf2f966ea53708ed1141e992d6878520fc981896396e1f625301a90741f0ce9

2022-06-15 19:36:07 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2022-06-15 19:36:09 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2022-06-14 18:59:04 UTC

Size

236 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-19

JAVA_VERSION

19-ea+26

LANG

C.UTF-8

PATH

/usr/java/openjdk-19/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:2bbc1bf883bd601c0da5735b538963308bcc17f90d36525ecc93456ffad79064 - 15.37% (36.3 MB)

[#001] sha256:9bde7855ef536fce06527372a019087e1972db9d092b2ec88091b6017cfc5a16 - 5.77% (13.6 MB)

[#002] sha256:bdc666805d6647b8626d8a172a04fc2f75d663ff6c019cc0cd2bf9800b6f6ed1 - 78.86% (186 MB)


History
2022-06-14 18:41:36 UTC

/bin/sh -c #(nop) ADD file:4a6ee90ad73353bfb87b2f121e06bddaed6104536e485baa83fadbe7facc774c in /

2022-06-14 18:41:37 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2022-06-14 18:58:47 UTC

/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all

2022-06-14 18:58:48 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-19

2022-06-14 18:58:49 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-19/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2022-06-14 18:58:50 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2022-06-14 18:58:51 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=19-ea+26

2022-06-14 18:59:03 UTC

/bin/sh -c set -eux; arch="$(objdump="$(command -v objdump)" && objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in 'i386:x86-64') downloadUrl='https://download.java.net/java/early_access/jdk19/26/GPL/openjdk-19-ea+26_linux-x64_bin.tar.gz'; downloadSha256='130143ba9c969760aa4aecba9cd2296887facde306841d69404dd1d1235b3d90'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk19/26/GPL/openjdk-19-ea+26_linux-aarch64_bin.tar.gz'; downloadSha256='cedaf6ebfab9a1a716acf5a65e0bfe298e0c965c70100bc91cc414a9fcf0b4b7'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2022-06-14 18:59:04 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete